Loading...
Searching...
No Matches
mongocxx::v1::distinct_options Class Reference

`#include <mongocxx/v1/distinct_options.hpp>`

## Description

Options for a "distinct" command.

Supported fields include:

- collation
- comment
- max_time ("maxTimeMS")
- read_concern ("readConcern")
- read_preference ("readPreference")

See also
  - distinct (database command) (MongoDB Manual)

## Public Member Functions

| distinct_options ()
| Default initialization.
| distinct_options (distinct_options &&other) noexcept
| Move constructor.
| distinct_options (distinct_options const &other)
| Copy construction.
| ~distinct_options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > | collation () const
| Return the current "collation" field.
distinct_options & | collation (bsoncxx::v1::document::value v)
| Set the "collation" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | comment () const
| Return the current "comment" field.
distinct_options & | comment (bsoncxx::v1::types::value v)
| Set the "comment" field.
bsoncxx::v1::stdx::optional< std::chrono::milliseconds > | max_time () const
| Return the current "maxTimeMS" field.
distinct_options & | max_time (std::chrono::milliseconds v)
| Set the "maxTimeMS" field.
distinct_options & | operator= (distinct_options &&other) noexcept
| Move assignment.
distinct_options & | operator= (distinct_options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< v1::read_concern > | read_concern () const
| Return the current "readConcern" field.
distinct_options & | read_concern (v1::read_concern v)
| Set the "readConcern" field.
bsoncxx::v1::stdx::optional< v1::read_preference > | read_preference () const
| Return the current "readPreference" field.
distinct_options & | read_preference (v1::read_preference v)
| Set the "readPreference" field.

## Constructor & Destructor Documentation

## ~distinct_options()

mongocxx::v1::distinct_options::~distinct_options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## distinct_options() [1/3]

mongocxx::v1::distinct_options::distinct_options | ( | distinct_options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## distinct_options() [2/3]

mongocxx::v1::distinct_options::distinct_options | ( | distinct_options const & | other | ) |

Copy construction.

## distinct_options() [3/3]

mongocxx::v1::distinct_options::distinct_options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## collation() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > mongocxx::v1::distinct_options::collation | ( |  | ) | const

Return the current "collation" field.

## collation() [2/2]

distinct_options & mongocxx::v1::distinct_options::collation | ( | bsoncxx::v1::document::value | v | ) |

Set the "collation" field.

## comment() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::distinct_options::comment | ( |  | ) | const

Return the current "comment" field.

## comment() [2/2]

distinct_options & mongocxx::v1::distinct_options::comment | ( | bsoncxx::v1::types::value | v | ) |

Set the "comment" field.

## max_time() [1/2]

bsoncxx::v1::stdx::optional< std::chrono::milliseconds > mongocxx::v1::distinct_options::max_time | ( |  | ) | const

Return the current "maxTimeMS" field.

## max_time() [2/2]

distinct_options & mongocxx::v1::distinct_options::max_time | ( | std::chrono::milliseconds | v | ) |

Set the "maxTimeMS" field.

## operator=() [1/2]

distinct_options & mongocxx::v1::distinct_options::operator= | ( | distinct_options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

distinct_options & mongocxx::v1::distinct_options::operator= | ( | distinct_options const & | other | ) |

Copy assignment.

## read_concern() [1/2]

bsoncxx::v1::stdx::optional< v1::read_concern > mongocxx::v1::distinct_options::read_concern | ( |  | ) | const

Return the current "readConcern" field.

## read_concern() [2/2]

distinct_options & mongocxx::v1::distinct_options::read_concern | ( | v1::read_concern | v | ) |

Set the "readConcern" field.

## read_preference() [1/2]

bsoncxx::v1::stdx::optional< v1::read_preference > mongocxx::v1::distinct_options::read_preference | ( |  | ) | const

Return the current "readPreference" field.

## read_preference() [2/2]

distinct_options & mongocxx::v1::distinct_options::read_preference | ( | v1::read_preference | v | ) |

Set the "readPreference" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/distinct_options.hpp